<?php


function json_graph($sensorID, $timefrom, $timeto) {
    $values = getSensorValuesByHour($sensorID, $timefrom, $timeto);
    $label = $sensorID;
    $data = Array();
    $tzoffset = $this->get_timezone_offset("UTC");
    foreach ($values as $value) {
        $data[] = Array((strtotime($value['time']) + $tzoffset) * 1000, intval($value['avg']));
    }
    $this->output
            ->set_content_type('application/json')
            ->set_output(json_encode(Array("label" => $label, "data" => $data,
                        "previous" => Array(
                            "from" => $timefrom - (24 * 60 * 60),
                            "to" => $timefrom)
                        ,
                        "next" => Array(
                            "to" => $timeto + (24 * 60 * 60),
                            "from" => $timeto)
                            )
                    ));
}

function json_data_description($sensorID, $timefrom, $timeto) {
    $timefrom = strtotime($timefrom);
    $timeto = strtotime($timeto);
    $years = getSensorDataYears($sensorID, $timefrom, $timeto);

    $months = getSensorDataMonths($sensorID, $timefrom, $timeto);
    $days = getSensorDataDays($sensorID, $timefrom, $timeto);

    return json_encode(Array("years" => $years, "months" => $months, "days" => $days
                    ));
}

?>
